This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1016970 - wired ethernet is Off by default on F20 beta TC2
wired ethernet is Off by default on F20 beta TC2
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 01:09 EDT by Chris Murphy
Modified: 2015-06-29 08:35 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:35:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journalctl output (245.88 KB, text/plain)
2013-10-09 01:10 EDT, Chris Murphy
no flags Details

  None (edit)
Description Chris Murphy 2013-10-09 01:09:00 EDT
Description of problem: When booting Fedora-Live-Desktop-x86_64-20-Beta-TC2.iso from USB stick media (livecd-tools or dd) the desktop appears, and wired networking is not enabled.

Version-Release number of selected component (if applicable):
Fedora-Live-Desktop-x86_64-20-Beta-TC2.iso
NetworkManager-0.9.9.0-12.git20130913.fc20.src.rpm 


How reproducible:
Every boot from live media.

Steps to Reproduce:
1. Created install media.
2. Ensure a working wired ethernet connection is in place.
3. Boot the computer from the media.
4. Check network status.

Actual results:
No network.
Go to Network icon in Gnome settings, find the Wired connection is Off. Change it from Off to On, and now I'm connected to the network.

Expected results:
If the cable is plugged in, by default the livemedia should make the connection active.

Additional info:
Comment 1 Chris Murphy 2013-10-09 01:10:31 EDT
Created attachment 809652 [details]
journalctl output

Oct 09 00:26:50 localhost NetworkManager[871]: <info> (p5p1): carrier is OFF
Oct 09 00:26:50 localhost NetworkManager[871]: <info> (p5p1): new Ethernet device (driver: 'sky2' ifindex: 2)
Oct 09 00:26:50 localhost NetworkManager[871]: <info> (p5p1): exported as /org/freedesktop/NetworkManager/Devices/1
Oct 09 00:26:50 localhost NetworkManager[871]: <info> (p5p1): No existing connection detected.
Oct 09 00:26:50 localhost systemd[1]: Started Network Manager.
Oct 09 00:26:50 localhost systemd[1]: Starting Network.
Oct 09 00:26:50 localhost systemd[1]: Reached target Network.
Oct 09 00:26:50 localhost NetworkManager[871]: <info> (p5p1): device state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
Oct 09 00:26:50 localhost NetworkManager[871]: <info> (p5p1): bringing up device.
Comment 2 Kamil Páral 2013-10-10 02:57:08 EDT
This might be a hardware specific problem, I tried the same image on my bare metal and network works fine out of the box.
Comment 3 Han Liang Wee Eric 2014-01-02 04:09:49 EST
Confirmed, I am also facing this issue @ 3.12.5-302.fc20.x86_64
Comment 4 Dan Winship 2014-01-06 12:16:28 EST
what are the contents of whatever ifcfg files are in /etc/sysconfig/network-scripts/ on the livecd?

what does "nmcli con show configured" output?
Comment 5 Ron Koerner 2014-08-11 05:43:59 EDT
I have the same problem. My wired network adapter is named "em1", maybe that is a reason.

With the help of https://ask.fedoraproject.org/en/question/38712/how-do-i-get-my-wired-network-connection-to-connect-by-default/ I found, that the "connect automatically" was not active.
Comment 6 Fedora End Of Life 2015-05-29 05:32:30 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Kamil Páral 2015-05-29 09:08:59 EDT
We might have finally found the reason for this in bug 1212009. You might want to follow that one.
Comment 8 Fedora End Of Life 2015-06-29 08:35:37 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.